mod database;
pub use database::*;

mod dictionary;
pub use dictionary::*;

mod server;
pub use server::*;

mod word;
pub use word::*;

fn main() {
    const PORT: u16 = 8080;
    let mut server = Server::new(PORT, true)
        .unwrap_or_else(|error| panic!("Failed to start server at port {PORT}: {:?}", error));
    server.run();
}
